Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`words`.`service`.`ChatAvatar``

class documentation

`class ChatAvatar(pb.Referenceable): (source)`

Constructor: `ChatAvatar(avatar)`

Implements interfaces: `twisted.words.iwords.IChatClient`

View In Hierarchy

Undocumented

Method | `__init__` | Undocumented
Method | `groupMetaUpdate` | Callback notifying this user that the metadata for the given group has changed.
Method | `jellyFor` | (internal)
Method | `name.setter` | Undocumented
Method | `receive` | Callback notifying this user of the given message sent by the given user.
Method | `remote_join` | Undocumented
Method | `userJoined` | Callback notifying this user that the given user has joined the given group.
Method | `userLeft` | Callback notifying this user that the given user has left the given group for the given reason.
Instance Variable | `avatar` | Undocumented
Property | `name` | A short string, unique among users. This will be set by the `IChatService` at login time.

Inherited from `Referenceable`:

Method | `remoteMessageReceived` | A remote message has been received. Dispatch it appropriately.
Class Variable | `perspective` | I am an object sent remotely as a direct reference.

Inherited from `Serializable` (via `Referenceable`):

Method | `processUniqueID` | Return an ID which uniquely represents this object for this process.

Inherited from `Jellyable` (via `Referenceable`, `Serializable`):

Method | `getStateFor` | Undocumented

def __init__(self, avatar): (source)

Undocumented

def groupMetaUpdate(self, group, meta): (source)
from `twisted.words.iwords.IChatClient`

Callback notifying this user that the metadata for the given group has changed.

Parameters
group:`IGroup` | Undocumented
meta:`dict` | Undocumented
Returns
`twisted.internet.defer.Deferred` | Undocumented

def jellyFor(self, jellier): (source)
from `twisted.spread.interfaces.IJellyable`
overrides `twisted.spread.pb.Referenceable.jellyFor`

(internal)

Return a tuple which will be used as the s-expression to serialize this to a peer.

@name.setter
def name(self, value): (source)

Undocumented

def receive(self, sender, recipient, message): (source)
from `twisted.words.iwords.IChatClient`

Callback notifying this user of the given message sent by the given user.

This will be invoked whenever another user sends a message to a group this user is participating in, or whenever another user sends a message directly to this user. In the former case, `recipient` will be the group to which the message was sent; in the latter, it will be the same object as the user who is receiving the message.

Parameters
sender:`IUser` | Undocumented
recipient:`IUser` or `IGroup` | Undocumented
message:`dict` | Undocumented
Returns
`twisted.internet.defer.Deferred` | A Deferred which fires when the message has been delivered, or which fails in some way. If the Deferred fails and the message was directed at a group, this user will be removed from that group.

def remote_join(self, groupName): (source)

Undocumented

def userJoined(self, group, user): (source)
from `twisted.words.iwords.IChatClient`

Callback notifying this user that the given user has joined the given group.

Parameters
group:`IGroup` | Undocumented
user:`IUser` | Undocumented
Returns
`twisted.internet.defer.Deferred` | Undocumented

def userLeft(self, group, user, reason=None): (source)
from `twisted.words.iwords.IChatClient`

Callback notifying this user that the given user has left the given group for the given reason.

Parameters
group:`IGroup` | Undocumented
user:`IUser` | Undocumented
reason:`unicode` | Undocumented
Returns
`twisted.internet.defer.Deferred` | Undocumented

avatar = (source)

Undocumented

@property
name = (source)
from `twisted.words.iwords.IChatClient`

A short string, unique among users. This will be set by the `IChatService` at login time.